package sportsDAO;

/**
 * Factory renvoyant une factory de DAO en fonction du support de persistance choisi
 * @author Eric
 */
public class AbstractDAOFactory {

    public static SportsDAOFactory getDAOFactory(PersistenceKind type) {
        if (type.equals(PersistenceKind.JDBC)) {
            return new Sports_JDBC_DAOFactory();
        } else {
            return null;
        }
    }
}
